Bug 615590 - Non-unique filenames when invoked via GUI
Non-unique filenames when invoked via GUI
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jack_capture (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-17 07:00 EDT by Adam Huffman
Modified: 2010-08-05 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: jack_capture-0.9.53-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 19:35:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2010-07-17 07:00:19 EDT
Description of problem:
If I start jack_capture from a terminal, it creates a unique filename.

If I start the GUI version, it always starts with ~/session0.wav, even overwriting an existing file with that name.



Version-Release number of selected component (if applicable):
jack_capture-0.9.49-1.fc13.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2010-07-19 16:58:07 EDT
jack_capture-0.9.53-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/jack_capture-0.9.53-1.fc12
Comment 2 Fedora Update System 2010-07-19 16:58:35 EDT
jack_capture-0.9.53-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/jack_capture-0.9.53-1.fc13
Comment 3 Orcan Ogetbil 2010-07-19 17:02:17 EDT
Hi, I contacted the maintainer about your request. He came up with this update. It will be in  the updates-testing repo shortly. Could you please test and report?

The changelog is 

 * Added the option --filename-prefix / -fp for setting the prefix for
   autogenerated filenames. The default is "jack_capture_".
 * Made jack_capture_gui2 use the -fp option to avoid overwriting files
   from older sessions.
 * Changed jack_capture_gui2 to use "-f ogg" instead of piping through
   oggenc.

In the future, it would be more efficient and fast to contact the developer of the software to ask for feature requests rather than the package maintainer.
Comment 4 Adam Huffman 2010-07-20 05:39:36 EDT
Thanks for the quick response.  To be fair, I did look at the upstream URL listed in the package and it was just a file listing.  It was also not immediately clear whether this was a packaging or upstream issue so I thought it better to report the bug, which should at least clarify that.

Will test the new version tonight.
Comment 5 Fedora Update System 2010-08-05 19:35:05 EDT
jack_capture-0.9.53-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2010-08-05 19:40:42 EDT
jack_capture-0.9.53-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.